Bug Hunting Session
Bug 49098 - idxexample.odt cleanup
Summary: idxexample.odt cleanup
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:3.7.0
Keywords: difficultyInteresting, easyHack, skillCpp, skillVcl, topicUI
Depends on:
Blocks:
 
Reported: 2012-04-24 01:16 UTC by Andras Timar
Modified: 2015-12-15 23:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2012-04-24 01:16:49 UTC
idxexample.odt: Writer, Insert -> Indexes and tables -> indexes and tables - this is the preview. We have this file in several languages, although not every l10n team is aware, that it is a localizable file.

We have around 1.2Mb (compressed) of this idxexample document translated wholesale over and over again. The code for this lives in:

      sw/source/ui/index/cnttab.cxx

And we could translate those files far more easily (for translators at least), if we could take those strings from a vcl resource. It would be wonderful to extract the eight strings, and have a programmatic way of substituting them into a more generic template.
Comment 1 Andras Timar 2012-08-16 16:56:45 UTC
Istvan Turi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b0f7ee1e04d7b0fe81f7458ae2116615e0f6889

idxexample.odt and html.stw cleanup (fdo#49101, fdo#49098)
Comment 2 Robinson Tryon (qubit) 2015-12-15 23:25:36 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyInteresting SkillCpp SkillVcl TopicUI )
[NinjaEdit]